Subject: E-Commerce implications [Re: Verisign: All Your Misspelling Are Belong To US]

From: Steve Neruda <[email-masked]>
Date: Thu, 18 Sep 2003 03:38:01 -0400

*This message was transferred with a trial version of CommuniGate(tm) Pro*
I've was uncomfortable when Verisign got into the register business 
since having your Certificate from someone who can also mess with your 
registration is liking having the same person do your accounting and 
auditing...

Do you suppose next they will print up a wildcard X.509 for their new 
address :-P